Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.beid.domain
Class Address

    java.lang.Object
      be.ehealth.technicalconnector.beid.domain.Address

All Implemented Interfaces:
  Serializable

    public class Address

extends Object
implements Serializable

This class contains all the information about the address of a person

See Also:
  Serialized Form

Constructor Summary
`Address()`

Method Summary
`byte[]` | `getData()`
`String` | `getMunicipality()`
`String` | `getStreetAndNumber()`
`String` | `getZip()`
`void` | `setData(byte[] data)`
`void` | `setMunicipality(String municipality)`
`void` | `setStreetAndNumber(String streetAndNumber)`
`void` | `setZip(String zip)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Address

    public Address()

Method Detail

### getStreetAndNumber

    public String getStreetAndNumber()

  Returns:
    the street and number as string

### getZip

    public String getZip()

  Returns:
    the zip code as string

### getMunicipality

    public String getMunicipality()

  Returns:
    the municipality

### getData

    public byte[] getData()

  Returns:
    the data

### setZip

    public void setZip(String zip)

  Parameters:
    `zip` - the zip code to set

### setMunicipality

    public void setMunicipality(String municipality)

  Parameters:
    `municipality` - the municipality to set

### setData

    public void setData(byte[] data)

  Parameters:
    `data` - the data to set

### setStreetAndNumber

    public void setStreetAndNumber(String streetAndNumber)

  Parameters:
    `streetAndNumber` - the streetAndNumber to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.